Changeset 369


Ignore:
Timestamp:
Jun 13, 2006 9:19:26 PM (13 years ago)
Author:
andreasw
Message:

Enabled Ampl executable for Cbc

Location:
trunk/Cbc
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.in

    r352 r369  
    110110AMTAR = @AMTAR@
    111111AR = @AR@
     112ASLLIB = @ASLLIB@
     113ASL_CPPFLAGS = @ASL_CPPFLAGS@
    112114AUTOCONF = @AUTOCONF@
    113115AUTOHEADER = @AUTOHEADER@
     
    130132COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    131133COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
     134COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
     135COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    132136COIN_HAS_CBC_FALSE = @COIN_HAS_CBC_FALSE@
    133137COIN_HAS_CBC_TRUE = @COIN_HAS_CBC_TRUE@
  • trunk/Cbc/configure

    r368 r369  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
    476476ac_subst_files=''
    477477
     
    10961096                          Xpress
    10971097  --with-xpress-lib specify the flags to link with the library Xpress
     1098  --with-asldir           specify path to AMPL solver directory (or BUILD for
     1099                          compilation, or "no" for disabling AMPL)
    10981100
    10991101Some influential environment variables:
     
    46204622*-*-irix6*)
    46214623  # Find out which ABI we are using.
    4622   echo '#line 4622 "configure"' > conftest.$ac_ext
     4624  echo '#line 4624 "configure"' > conftest.$ac_ext
    46234625  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46244626  (eval $ac_compile) 2>&5
     
    57545756
    57555757# Provide some information about the compiler.
    5756 echo "$as_me:5756:" \
     5758echo "$as_me:5758:" \
    57575759     "checking for Fortran 77 compiler version" >&5
    57585760ac_compiler=`set X $ac_compile; echo $2`
     
    68216823   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    68226824   -e 's:$: $lt_compiler_flag:'`
    6823    (eval echo "\"\$as_me:6823: $lt_compile\"" >&5)
     6825   (eval echo "\"\$as_me:6825: $lt_compile\"" >&5)
    68246826   (eval "$lt_compile" 2>conftest.err)
    68256827   ac_status=$?
    68266828   cat conftest.err >&5
    6827    echo "$as_me:6827: \$? = $ac_status" >&5
     6829   echo "$as_me:6829: \$? = $ac_status" >&5
    68286830   if (exit $ac_status) && test -s "$ac_outfile"; then
    68296831     # The compiler can only warn and ignore the option if not recognized
     
    70897091   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70907092   -e 's:$: $lt_compiler_flag:'`
    7091    (eval echo "\"\$as_me:7091: $lt_compile\"" >&5)
     7093   (eval echo "\"\$as_me:7093: $lt_compile\"" >&5)
    70927094   (eval "$lt_compile" 2>conftest.err)
    70937095   ac_status=$?
    70947096   cat conftest.err >&5
    7095    echo "$as_me:7095: \$? = $ac_status" >&5
     7097   echo "$as_me:7097: \$? = $ac_status" >&5
    70967098   if (exit $ac_status) && test -s "$ac_outfile"; then
    70977099     # The compiler can only warn and ignore the option if not recognized
     
    71937195   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71947196   -e 's:$: $lt_compiler_flag:'`
    7195    (eval echo "\"\$as_me:7195: $lt_compile\"" >&5)
     7197   (eval echo "\"\$as_me:7197: $lt_compile\"" >&5)
    71967198   (eval "$lt_compile" 2>out/conftest.err)
    71977199   ac_status=$?
    71987200   cat out/conftest.err >&5
    7199    echo "$as_me:7199: \$? = $ac_status" >&5
     7201   echo "$as_me:7201: \$? = $ac_status" >&5
    72007202   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    72017203   then
     
    95389540  lt_status=$lt_dlunknown
    95399541  cat > conftest.$ac_ext <<EOF
    9540 #line 9540 "configure"
     9542#line 9542 "configure"
    95419543#include "confdefs.h"
    95429544
     
    96389640  lt_status=$lt_dlunknown
    96399641  cat > conftest.$ac_ext <<EOF
    9640 #line 9640 "configure"
     9642#line 9642 "configure"
    96419643#include "confdefs.h"
    96429644
     
    1198211984   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1198311985   -e 's:$: $lt_compiler_flag:'`
    11984    (eval echo "\"\$as_me:11984: $lt_compile\"" >&5)
     11986   (eval echo "\"\$as_me:11986: $lt_compile\"" >&5)
    1198511987   (eval "$lt_compile" 2>conftest.err)
    1198611988   ac_status=$?
    1198711989   cat conftest.err >&5
    11988    echo "$as_me:11988: \$? = $ac_status" >&5
     11990   echo "$as_me:11990: \$? = $ac_status" >&5
    1198911991   if (exit $ac_status) && test -s "$ac_outfile"; then
    1199011992     # The compiler can only warn and ignore the option if not recognized
     
    1208612088   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1208712089   -e 's:$: $lt_compiler_flag:'`
    12088    (eval echo "\"\$as_me:12088: $lt_compile\"" >&5)
     12090   (eval echo "\"\$as_me:12090: $lt_compile\"" >&5)
    1208912091   (eval "$lt_compile" 2>out/conftest.err)
    1209012092   ac_status=$?
    1209112093   cat out/conftest.err >&5
    12092    echo "$as_me:12092: \$? = $ac_status" >&5
     12094   echo "$as_me:12094: \$? = $ac_status" >&5
    1209312095   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1209412096   then
     
    1365613658   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1365713659   -e 's:$: $lt_compiler_flag:'`
    13658    (eval echo "\"\$as_me:13658: $lt_compile\"" >&5)
     13660   (eval echo "\"\$as_me:13660: $lt_compile\"" >&5)
    1365913661   (eval "$lt_compile" 2>conftest.err)
    1366013662   ac_status=$?
    1366113663   cat conftest.err >&5
    13662    echo "$as_me:13662: \$? = $ac_status" >&5
     13664   echo "$as_me:13664: \$? = $ac_status" >&5
    1366313665   if (exit $ac_status) && test -s "$ac_outfile"; then
    1366413666     # The compiler can only warn and ignore the option if not recognized
     
    1376013762   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1376113763   -e 's:$: $lt_compiler_flag:'`
    13762    (eval echo "\"\$as_me:13762: $lt_compile\"" >&5)
     13764   (eval echo "\"\$as_me:13764: $lt_compile\"" >&5)
    1376313765   (eval "$lt_compile" 2>out/conftest.err)
    1376413766   ac_status=$?
    1376513767   cat out/conftest.err >&5
    13766    echo "$as_me:13766: \$? = $ac_status" >&5
     13768   echo "$as_me:13768: \$? = $ac_status" >&5
    1376713769   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1376813770   then
     
    1596715969   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1596815970   -e 's:$: $lt_compiler_flag:'`
    15969    (eval echo "\"\$as_me:15969: $lt_compile\"" >&5)
     15971   (eval echo "\"\$as_me:15971: $lt_compile\"" >&5)
    1597015972   (eval "$lt_compile" 2>conftest.err)
    1597115973   ac_status=$?
    1597215974   cat conftest.err >&5
    15973    echo "$as_me:15973: \$? = $ac_status" >&5
     15975   echo "$as_me:15975: \$? = $ac_status" >&5
    1597415976   if (exit $ac_status) && test -s "$ac_outfile"; then
    1597515977     # The compiler can only warn and ignore the option if not recognized
     
    1623516237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623616238   -e 's:$: $lt_compiler_flag:'`
    16237    (eval echo "\"\$as_me:16237: $lt_compile\"" >&5)
     16239   (eval echo "\"\$as_me:16239: $lt_compile\"" >&5)
    1623816240   (eval "$lt_compile" 2>conftest.err)
    1623916241   ac_status=$?
    1624016242   cat conftest.err >&5
    16241    echo "$as_me:16241: \$? = $ac_status" >&5
     16243   echo "$as_me:16243: \$? = $ac_status" >&5
    1624216244   if (exit $ac_status) && test -s "$ac_outfile"; then
    1624316245     # The compiler can only warn and ignore the option if not recognized
     
    1633916341   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1634016342   -e 's:$: $lt_compiler_flag:'`
    16341    (eval echo "\"\$as_me:16341: $lt_compile\"" >&5)
     16343   (eval echo "\"\$as_me:16343: $lt_compile\"" >&5)
    1634216344   (eval "$lt_compile" 2>out/conftest.err)
    1634316345   ac_status=$?
    1634416346   cat out/conftest.err >&5
    16345    echo "$as_me:16345: \$? = $ac_status" >&5
     16347   echo "$as_me:16347: \$? = $ac_status" >&5
    1634616348   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1634716349   then
     
    1971019712      have_svn=no
    1971119713    fi
     19714    rm -f confauto.out
    1971219715  fi
    1971319716
     
    1973719740fi
    1973819741
    19739 
     19742# helpful variable for the base directory of this package
     19743abs_source_dir=`cd $srcdir; pwd`
     19744
     19745
     19746# Stuff for example Makefiles
     19747if test x$prefix = xNONE; then
     19748  full_prefix=$ac_default_prefix
     19749else
     19750  full_prefix=$prefix
     19751fi
     19752full_prefix=`cd $full_prefix ; pwd`
     19753
     19754abs_lib_dir=$full_prefix/lib
     19755
     19756abs_include_dir=$full_prefix/include
     19757
     19758abs_bin_dir=$full_prefix/bin
    1974019759
    1974119760
     
    1982319842
    1982419843
    19825 
    19826 # helpful variable for the base directory of this package
    19827 abs_source_dir=`cd $srcdir; pwd`
    19828 
    19829 
    19830 # Stuff for example Makefiles
    19831 if test x$prefix = xNONE; then
    19832   full_prefix=$ac_default_prefix
    19833 else
    19834   full_prefix=$prefix
    19835 fi
    19836 full_prefix=`cd $full_prefix ; pwd`
    19837 
    19838 abs_lib_dir=$full_prefix/lib
    19839 
    19840 abs_include_dir=$full_prefix/include
    19841 
    19842 abs_bin_dir=$full_prefix/bin
    1984319844
    1984419845# set RPATH_FLAGS to the compiler link flags required to hardcode location
     
    2118921190
    2119021191
     21192#############################################################################
     21193#                       Other third party software                          #
     21194#############################################################################
     21195
     21196# Ampl Solver library
     21197coin_aslobjdir=../ThirdParty/ASL
     21198coin_aslsrcdir=$srcdir/$coin_aslobjdir
     21199
     21200# Determine the name of the ASL library
     21201case "$CXX" in
     21202  cl* | */cl*)
     21203    ampllib=amplsolv.lib ;;
     21204  *)
     21205    ampllib=amplsolver.a ;;
     21206esac
     21207
     21208
     21209# Check whether --with-asldir or --without-asldir was given.
     21210if test "${with_asldir+set}" = set; then
     21211  withval="$with_asldir"
     21212  use_asldir=$withval
     21213else
     21214  use_asldir=
     21215fi;
     21216
     21217if test "$use_asldir" = BUILD; then
     21218  as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
     21219echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
     21220echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
     21221if eval "test \"\${$as_ac_File+set}\" = set"; then
     21222  echo $ECHO_N "(cached) $ECHO_C" >&6
     21223else
     21224  test "$cross_compiling" = yes &&
     21225  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     21226echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     21227   { (exit 1); exit 1; }; }
     21228if test -r "$coin_aslobjdir/Makefile"; then
     21229  eval "$as_ac_File=yes"
     21230else
     21231  eval "$as_ac_File=no"
     21232fi
     21233fi
     21234echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     21235echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     21236if test `eval echo '${'$as_ac_File'}'` = yes; then
     21237  :
     21238else
     21239  { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
     21240echo "$as_me: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&2;}
     21241   { (exit 1); exit 1; }; }
     21242fi
     21243
     21244elif test -z "$use_asldir"; then
     21245 # try to find sources - if not given don't compile
     21246  as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
     21247echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
     21248echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
     21249if eval "test \"\${$as_ac_File+set}\" = set"; then
     21250  echo $ECHO_N "(cached) $ECHO_C" >&6
     21251else
     21252  test "$cross_compiling" = yes &&
     21253  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     21254echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     21255   { (exit 1); exit 1; }; }
     21256if test -r "$coin_aslobjdir/Makefile"; then
     21257  eval "$as_ac_File=yes"
     21258else
     21259  eval "$as_ac_File=no"
     21260fi
     21261fi
     21262echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     21263echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     21264if test `eval echo '${'$as_ac_File'}'` = yes; then
     21265  use_asldir=BUILD
     21266else
     21267  use_asldir=no
     21268fi
     21269
     21270elif test "$use_asldir" != "no"; then
     21271  as_ac_File=`echo "ac_cv_file_$use_asldir/$ampllib" | $as_tr_sh`
     21272echo "$as_me:$LINENO: checking for $use_asldir/$ampllib" >&5
     21273echo $ECHO_N "checking for $use_asldir/$ampllib... $ECHO_C" >&6
     21274if eval "test \"\${$as_ac_File+set}\" = set"; then
     21275  echo $ECHO_N "(cached) $ECHO_C" >&6
     21276else
     21277  test "$cross_compiling" = yes &&
     21278  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     21279echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     21280   { (exit 1); exit 1; }; }
     21281if test -r "$use_asldir/$ampllib"; then
     21282  eval "$as_ac_File=yes"
     21283else
     21284  eval "$as_ac_File=no"
     21285fi
     21286fi
     21287echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     21288echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     21289if test `eval echo '${'$as_ac_File'}'` = yes; then
     21290  :
     21291else
     21292  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but library missing" >&5
     21293echo "$as_me: error: ASL directory \"$use_asldir\" specified, but library missing" >&2;}
     21294   { (exit 1); exit 1; }; }
     21295fi
     21296
     21297  as_ac_File=`echo "ac_cv_file_$use_asldir/asl.h" | $as_tr_sh`
     21298echo "$as_me:$LINENO: checking for $use_asldir/asl.h" >&5
     21299echo $ECHO_N "checking for $use_asldir/asl.h... $ECHO_C" >&6
     21300if eval "test \"\${$as_ac_File+set}\" = set"; then
     21301  echo $ECHO_N "(cached) $ECHO_C" >&6
     21302else
     21303  test "$cross_compiling" = yes &&
     21304  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     21305echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     21306   { (exit 1); exit 1; }; }
     21307if test -r "$use_asldir/asl.h"; then
     21308  eval "$as_ac_File=yes"
     21309else
     21310  eval "$as_ac_File=no"
     21311fi
     21312fi
     21313echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     21314echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     21315if test `eval echo '${'$as_ac_File'}'` = yes; then
     21316  :
     21317else
     21318  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&5
     21319echo "$as_me: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&2;}
     21320   { (exit 1); exit 1; }; }
     21321fi
     21322
     21323  use_asldir=`cd $use_asldir; pwd`
     21324  case $build in
     21325    *-cygwin*) use_asldir=`cygpath -w $use_asldir | sed -e sX\\\\\\\\X/Xg` ;;
     21326  esac
     21327fi
     21328
     21329# Variable containing ASL library (including full path)
     21330
     21331# Variable containing flags for including ASL header files
     21332
     21333
     21334if test "$use_asldir" = BUILD; then
     21335  coin_aslobjdir=`cd $coin_aslobjdir; pwd`
     21336  ASLLIB="$coin_aslobjdir/$ampllib"
     21337  coin_aslsrcdir=`cd $coin_aslsrcdir; pwd`
     21338  ASL_CPPFLAGS="-I"`$CYGPATH_W $coin_aslobjdir`" -I"`$CYGPATH_W $coin_aslsrcdir/solvers`
     21339elif test "$use_asldir" != no; then
     21340  ASLLIB="$use_asldir/$ampllib"
     21341  ASL_CPPFLAGS="-I"`$CYGPATH_W $use_asldir`
     21342fi
     21343
     21344if test "$use_asldir" != no; then
     21345  echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
     21346echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
     21347if test "${ac_cv_lib_dl_dlopen+set}" = set; then
     21348  echo $ECHO_N "(cached) $ECHO_C" >&6
     21349else
     21350  ac_check_lib_save_LIBS=$LIBS
     21351LIBS="-ldl  $LIBS"
     21352cat >conftest.$ac_ext <<_ACEOF
     21353/* confdefs.h.  */
     21354_ACEOF
     21355cat confdefs.h >>conftest.$ac_ext
     21356cat >>conftest.$ac_ext <<_ACEOF
     21357/* end confdefs.h.  */
     21358
     21359/* Override any gcc2 internal prototype to avoid an error.  */
     21360#ifdef __cplusplus
     21361extern "C"
     21362#endif
     21363/* We use char because int might match the return type of a gcc2
     21364   builtin and then its argument prototype would still apply.  */
     21365char dlopen ();
     21366int
     21367main ()
     21368{
     21369dlopen ();
     21370  ;
     21371  return 0;
     21372}
     21373_ACEOF
     21374rm -f conftest.$ac_objext conftest$ac_exeext
     21375if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21376  (eval $ac_link) 2>conftest.er1
     21377  ac_status=$?
     21378  grep -v '^ *+' conftest.er1 >conftest.err
     21379  rm -f conftest.er1
     21380  cat conftest.err >&5
     21381  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21382  (exit $ac_status); } &&
     21383         { ac_try='test -z "$ac_c_werror_flag"
     21384                         || test ! -s conftest.err'
     21385  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21386  (eval $ac_try) 2>&5
     21387  ac_status=$?
     21388  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21389  (exit $ac_status); }; } &&
     21390         { ac_try='test -s conftest$ac_exeext'
     21391  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21392  (eval $ac_try) 2>&5
     21393  ac_status=$?
     21394  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21395  (exit $ac_status); }; }; then
     21396  ac_cv_lib_dl_dlopen=yes
     21397else
     21398  echo "$as_me: failed program was:" >&5
     21399sed 's/^/| /' conftest.$ac_ext >&5
     21400
     21401ac_cv_lib_dl_dlopen=no
     21402fi
     21403rm -f conftest.err conftest.$ac_objext \
     21404      conftest$ac_exeext conftest.$ac_ext
     21405LIBS=$ac_check_lib_save_LIBS
     21406fi
     21407echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
     21408echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
     21409if test $ac_cv_lib_dl_dlopen = yes; then
     21410  ASLLIB="$ASLLIB -ldl"
     21411fi
     21412
     21413  coin_has_asl=yes
     21414
     21415cat >>confdefs.h <<\_ACEOF
     21416#define COIN_HAS_ASL 1
     21417_ACEOF
     21418
     21419else
     21420  coin_has_asl=no
     21421fi
     21422
     21423
     21424if test $coin_has_asl = yes; then
     21425  COIN_HAS_ASL_TRUE=
     21426  COIN_HAS_ASL_FALSE='#'
     21427else
     21428  COIN_HAS_ASL_TRUE='#'
     21429  COIN_HAS_ASL_FALSE=
     21430fi
     21431
     21432
     21433
    2119121434##############################################################################
    2119221435#                   VPATH links for example input files                      #
     
    2147921722Usually this means the macro was only invoked conditionally." >&5
    2148021723echo "$as_me: error: conditional \"COIN_HAS_XPR\" was never defined.
     21724Usually this means the macro was only invoked conditionally." >&2;}
     21725   { (exit 1); exit 1; }; }
     21726fi
     21727if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     21728  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     21729Usually this means the macro was only invoked conditionally." >&5
     21730echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    2148121731Usually this means the macro was only invoked conditionally." >&2;}
    2148221732   { (exit 1); exit 1; }; }
     
    2209122341s,@BUILDTOOLSDIR@,$BUILDTOOLSDIR,;t t
    2209222342s,@AUX_DIR@,$AUX_DIR,;t t
     22343s,@abs_source_dir@,$abs_source_dir,;t t
     22344s,@abs_lib_dir@,$abs_lib_dir,;t t
     22345s,@abs_include_dir@,$abs_include_dir,;t t
     22346s,@abs_bin_dir@,$abs_bin_dir,;t t
    2209322347s,@HAVE_EXTERNALS_TRUE@,$HAVE_EXTERNALS_TRUE,;t t
    2209422348s,@HAVE_EXTERNALS_FALSE@,$HAVE_EXTERNALS_FALSE,;t t
     
    2211022364s,@LIBTOOL@,$LIBTOOL,;t t
    2211122365s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    22112 s,@abs_source_dir@,$abs_source_dir,;t t
    22113 s,@abs_lib_dir@,$abs_lib_dir,;t t
    22114 s,@abs_include_dir@,$abs_include_dir,;t t
    22115 s,@abs_bin_dir@,$abs_bin_dir,;t t
    2211622366s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2211722367s,@CBCSRCDIR@,$CBCSRCDIR,;t t
     
    2217522425s,@COIN_HAS_XPR_TRUE@,$COIN_HAS_XPR_TRUE,;t t
    2217622426s,@COIN_HAS_XPR_FALSE@,$COIN_HAS_XPR_FALSE,;t t
     22427s,@ASLLIB@,$ASLLIB,;t t
     22428s,@ASL_CPPFLAGS@,$ASL_CPPFLAGS,;t t
     22429s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
     22430s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
    2217722431s,@LIBOBJS@,$LIBOBJS,;t t
    2217822432s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • trunk/Cbc/configure.ac

    r340 r369  
    112112AC_COIN_HAS_USER_LIBRARY([Xpress],[XPR],[xprs.h],[XPRSsetintcontrol])
    113113
     114#############################################################################
     115#                       Other third party software                          #
     116#############################################################################
     117
     118# Ampl Solver library
     119AC_COIN_HAS_ASL
     120
    114121##############################################################################
    115122#                   VPATH links for example input files                      #
  • trunk/Cbc/inc/config_cbc.h.in

    r334 r369  
    77/* If defined, debug sanity checks are performed during runtime */
    88#undef COIN_DEBUG
     9
     10/* If defined, the Ampl Solver Library is available. */
     11#undef COIN_HAS_ASL
    912
    1013/* Define to 1 if the Cbc package is used */
  • trunk/Cbc/src/Cbc_ampl.cpp

    r356 r369  
    2323THIS SOFTWARE.
    2424****************************************************************/
    25 #ifdef CBC_AMPL
     25
    2626#include "getstub.h"
    2727#include "Cbc_ampl.h"
     
    554554  write_sol(buf,info->primalSolution,info->dualSolution,&Oinfo);
    555555}
    556 
    557 #endif
  • trunk/Cbc/src/CoinSolve.cpp

    r367 r369  
    22// Corporation and others.  All Rights Reserved.
    33   
     4#include "CbcConfig.h"
    45#include "CoinPragma.hpp"
    56
     
    7980
    8081#include "OsiClpSolverInterface.hpp"
    81 #ifdef CBC_AMPL
     82#ifdef COIN_HAS_ASL
    8283#include "Cbc_ampl.h"
    8384static bool usingAmpl=false;
     
    491492    double * solutionIn = NULL;
    492493    int * prioritiesIn = NULL;
    493 #ifdef CBC_AMPL
     494#ifdef COIN_HAS_ASL
    494495    ampl_info info;
    495496    if (argc>2&&!strcmp(argv[2],"-AMPL")) {
     
    818819            verbose &= ~8;
    819820          }
    820 #ifdef CBC_AMPL
     821#ifdef COIN_HAS_ASL
    821822          if (verbose<4&&usingAmpl)
    822823            verbose +=4;
     
    12391240          // action
    12401241          if (type==EXIT) {
    1241 #ifdef CBC_AMPL
     1242#ifdef COIN_HAS_ASL
    12421243            if(usingAmpl) {
    12431244              if (info.numberIntegers||info.numberBinary) {
     
    13971398                model2=lpSolver;
    13981399              }
    1399 #ifdef CBC_AMPL
     1400#ifdef COIN_HAS_ASL
    14001401              if (usingAmpl) {
    14011402                double value = model2->getObjValue()*model2->getObjSense();
     
    16801681              double timeLeft = babModel->getMaximumSeconds();
    16811682              int numberOriginalColumns = babModel->solver()->getNumCols();
    1682 #ifdef CBC_AMPL
     1683#ifdef COIN_HAS_ASL
    16831684              if (usingAmpl&&info.numberSos&&doSOS) {
    16841685                // SOS
     
    17701771                    solver2->setHintParam(OsiDoInBranchAndCut,false,OsiHintDo) ;
    17711772                }
    1772 #ifdef CBC_AMPL
     1773#ifdef COIN_HAS_ASL
    17731774                if (!solver2&&usingAmpl) {
    17741775                  // infeasible
     
    20362037              }
    20372038              if (type==BAB) {
    2038 #ifdef CBC_AMPL
     2039#ifdef COIN_HAS_ASL
    20392040                if (usingAmpl) {
    20402041                  priorities=info.priorities;
     
    21752176                }
    21762177                int statistics = (printOptions>0) ? printOptions: 0;
    2177 #ifdef CBC_AMPL
     2178#ifdef COIN_HAS_ASL
    21782179                if (!usingAmpl) {
    21792180#endif
     
    21902191                  free(prioritiesIn);
    21912192                  prioritiesIn=NULL;
    2192 #ifdef CBC_AMPL
     2193#ifdef COIN_HAS_ASL
    21932194                }
    21942195#endif               
     
    23072308                           <<babModel->getIterationCount()<<
    23082309                    " iterations - took "<<time2-time1<<" seconds"<<std::endl;
    2309 #ifdef CBC_AMPL
     2310#ifdef COIN_HAS_ASL
    23102311                if (usingAmpl) {
    23112312                  double value = babModel->getObjValue()*lpSolver->getObjSense();
     
    23732374          case IMPORT:
    23742375            {
    2375 #ifdef CBC_AMPL
     2376#ifdef COIN_HAS_ASL
    23762377              if (!usingAmpl) {
    23772378#endif
     
    23882389                free(prioritiesIn);
    23892390                prioritiesIn=NULL;
    2390 #ifdef CBC_AMPL
     2391#ifdef COIN_HAS_ASL
    23912392              }
    23922393#endif               
  • trunk/Cbc/src/Makefile.am

    r356 r369  
    169169solve_SOURCES = \
    170170        CoinSolve.cpp \
    171         Cbc_ampl.cpp Cbc_ampl.h \
    172171        unitTestClp.cpp
    173172
     
    187186# libraries.
    188187solve_LDFLAGS = -rpath $(libdir)
     188
     189# If we have the Ampl solver library, we need to add additional things
     190if COIN_HAS_ASL
     191solve_SOURCES += Cbc_ampl.cpp Cbc_ampl.h
     192solve_LDADD += $(ASLLIB)
     193AM_CPPFLAGS += $(ASL_CPPFLAGS)
     194endif
    189195
    190196########################################################################
  • trunk/Cbc/src/Makefile.in

    r356 r369  
    105105
    106106@COIN_HAS_XPR_TRUE@am__append_26 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     107
     108# If we have the Ampl solver library, we need to add additional things
     109@COIN_HAS_ASL_TRUE@am__append_27 = Cbc_ampl.cpp Cbc_ampl.h
     110@COIN_HAS_ASL_TRUE@am__append_28 = $(ASLLIB)
     111@COIN_HAS_ASL_TRUE@am__append_29 = $(ASL_CPPFLAGS)
    107112subdir = src
    108113DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
     
    176181        $(OSIOBJDIR)/src/libOsi.la \
    177182        $(COINUTILSOBJDIR)/src/libCoinUtils.la
    178 am_solve_OBJECTS = CoinSolve.$(OBJEXT) Cbc_ampl.$(OBJEXT) \
    179         unitTestClp.$(OBJEXT)
     183am__solve_SOURCES_DIST = CoinSolve.cpp unitTestClp.cpp Cbc_ampl.cpp \
     184        Cbc_ampl.h
     185@COIN_HAS_ASL_TRUE@am__objects_1 = Cbc_ampl.$(OBJEXT)
     186am_solve_OBJECTS = CoinSolve.$(OBJEXT) unitTestClp.$(OBJEXT) \
     187        $(am__objects_1)
    180188nodist_solve_OBJECTS = CbcOrClpParam.$(OBJEXT)
    181189solve_OBJECTS = $(am_solve_OBJECTS) $(nodist_solve_OBJECTS)
     190am__DEPENDENCIES_12 =
     191@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_13 = $(am__DEPENDENCIES_12)
    182192solve_DEPENDENCIES = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    183193        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    184194        $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    185         $(COINUTILSOBJDIR)/src/libCoinUtils.la
     195        $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__DEPENDENCIES_13)
    186196depcomp = $(SHELL) $(top_srcdir)/../depcomp
    187197am__depfiles_maybe = depfiles
     
    204214SOURCES = $(libCbc_la_SOURCES) $(cbc_SOURCES) $(nodist_cbc_SOURCES) \
    205215        $(solve_SOURCES) $(nodist_solve_SOURCES)
    206 DIST_SOURCES = $(libCbc_la_SOURCES) $(cbc_SOURCES) $(solve_SOURCES)
     216DIST_SOURCES = $(libCbc_la_SOURCES) $(cbc_SOURCES) \
     217        $(am__solve_SOURCES_DIST)
    207218includeHEADERS_INSTALL = $(INSTALL_HEADER)
    208219HEADERS = $(include_HEADERS)
     
    218229AMTAR = @AMTAR@
    219230AR = @AR@
     231ASLLIB = @ASLLIB@
     232ASL_CPPFLAGS = @ASL_CPPFLAGS@
    220233AUTOCONF = @AUTOCONF@
    221234AUTOHEADER = @AUTOHEADER@
     
    238251COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    239252COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
     253COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
     254COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    240255COIN_HAS_CBC_FALSE = @COIN_HAS_CBC_FALSE@
    241256COIN_HAS_CBC_TRUE = @COIN_HAS_CBC_TRUE@
     
    470485        $(am__append_11) $(am__append_13) $(am__append_15) \
    471486        $(am__append_17) $(am__append_19) $(am__append_22) \
    472         $(am__append_25) -I`$(CYGPATH_W) $(CGLSRCDIR)/src` \
    473         -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` -I`$(CYGPATH_W) \
    474         $(CGLSRCDIR)/src/CglDuplicateRow` -I`$(CYGPATH_W) \
    475         $(CGLSRCDIR)/src/CglFlowCover` -I`$(CYGPATH_W) \
     487        $(am__append_25) $(am__append_29) -I`$(CYGPATH_W) \
     488        $(CGLSRCDIR)/src` -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` \
     489        -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglDuplicateRow` \
     490        -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglFlowCover` -I`$(CYGPATH_W) \
    476491        $(CGLSRCDIR)/src/CglGomory` -I`$(CYGPATH_W) \
    477492        $(CGLSRCDIR)/src/CglKnapsackCover` -I`$(CYGPATH_W) \
     
    492507
    493508# List all source files for this executable, including headers
    494 solve_SOURCES = \
    495         CoinSolve.cpp \
    496         Cbc_ampl.cpp Cbc_ampl.h \
    497         unitTestClp.cpp
    498 
     509solve_SOURCES = CoinSolve.cpp unitTestClp.cpp $(am__append_27)
    499510
    500511# The following file is not to be distributed, since it is "borrowed" from Clp
     
    502513
    503514# Additional COIN libraries
    504 solve_LDADD = libCbc.la \
    505         $(CGLOBJDIR)/src/libCgl.la \
     515solve_LDADD = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    506516        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    507         $(OSIOBJDIR)/src/libOsi.la \
    508         $(CLPOBJDIR)/src/libClp.la \
    509         $(COINUTILSOBJDIR)/src/libCoinUtils.la
    510 
     517        $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
     518        $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_28)
    511519
    512520# Finally, the -rpath flag is used by libtool to make sure that the shared
  • trunk/Cbc/test/Makefile.in

    r352 r369  
    6363AMTAR = @AMTAR@
    6464AR = @AR@
     65ASLLIB = @ASLLIB@
     66ASL_CPPFLAGS = @ASL_CPPFLAGS@
    6567AUTOCONF = @AUTOCONF@
    6668AUTOHEADER = @AUTOHEADER@
     
    8385COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    8486COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
     87COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
     88COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    8589COIN_HAS_CBC_FALSE = @COIN_HAS_CBC_FALSE@
    8690COIN_HAS_CBC_TRUE = @COIN_HAS_CBC_TRUE@
Note: See TracChangeset for help on using the changeset viewer.